For the complete documentation index, see llms.txt. This page is also available as Markdown.

Documents

Mark down content used to add documentation to the workspace. Learn more about documents here.

List Documents

get
/api/v1/document

This endpoint allows you to retrieve a list of documents. You can optionally filter the documents by title using the "title" query parameter.

Authorizations
Query parameters
titlestringOptional

Filter documents by title (optional)

Example: Sample Document
Responses
200

List of documents.

application/json
countintegerOptional

The total count of items returned.

Example: 315
total_pagesintegerOptional

The total number of pages.

Example: 7
get/api/v1/document
GET /api/v1/document HTTP/1.1
Host: api.secoda.co
Accept: */*
{
  "links": {
    "next": "https://api.secoda.co/resource/all/?page=2",
    "previous": "None"
  },
  "meta": {
    "page": 1,
    "previous_page": "None",
    "next_page": 2
  },
  "count": 315,
  "total_pages": 7,
  "results": [
    {
      "id": "d935a76c-2125-4c30-9389-ef42fa7e23bb",
      "created_at": "2023-08-16T23:12:53.245493Z",
      "updated_at": "2023-08-16T23:12:53.245507Z",
      "entity_type": "table",
      "native_type": "Dataset",
      "bookmarked_by": [
        "d935a76c-2125-4c30-9389-ef42fa7e23bb",
        "33733f42-8ff7-460b-9e20-50a2133d3bb0",
        "c90dedee-40ee-47ec-9c27-96dc3b2ec363"
      ],
      "icon": "icon-url.png",
      "title": "Sample Table",
      "title_full": "Sample Database.Sample Schema.Sample Table",
      "title_cased": "sampleTable",
      "description": "This is a description for a sample table.",
      "definition": "text",
      "definition_version": 1,
      "multiplayers": [
        "429693a2-a5e7-4525-b413-ece5e96bc5b3",
        "f71585fa-251c-4102-8d81-c97c57c8d435"
      ],
      "multiplayer_last_modified_by": "429693a2-a5e7-4525-b413-ece5e96bc5b3",
      "multiplayer_last_modified": "2023-08-16T23:12:53.245507Z",
      "owners": [
        "429693a2-a5e7-4525-b413-ece5e96bc5b3",
        "f71585fa-251c-4102-8d81-c97c57c8d435"
      ],
      "owners_groups": [
        "3b2c7185-fb5d-4d94-89d4-3dae08e093a9"
      ],
      "collections": [
        "e8ac09ed-e51e-4e61-8eaf-59942c98c260"
      ],
      "tags": [
        "f7466f09-33bf-4ac2-9ff2-165fb4b8bdc2",
        "a17f4ed0-0e5a-45a9-92c0-6c93c0b8242c"
      ],
      "workspace_id": "f71585fa-251c-4102-8d81-c97c57c8d435",
      "total_usage": 483,
      "published": false,
      "archived": false,
      "pii": true,
      "verified": false,
      "url": "https://example.com/sample-table",
      "parent": "df2c0597-13d9-4159-bb6d-00b3f54235dc",
      "children_count": 2,
      "integration": "ca529385-fbc9-4934-afae-e372affe795b",
      "external_updated_at": "2023-08-16T23:12:53.245507Z",
      "internal_usage": 3,
      "internal_users": [
        "04654d61-4f64-4f08-b697-3915b5137c49"
      ],
      "external_users": [
        "33733f42-8ff7-460b-9e20-50a2133d3bb0"
      ],
      "external_usage": 38,
      "databuilder_id": "b818280a-ae1a-43bf-90d3-dbccf812b025.x68605bd2",
      "search_metadata": {
        "cluster": "glue",
        "database": "awsdatacatalog",
        "schema": "secoda-glue",
        "type": "table"
      },
      "sources": [
        "8a3af948-026c-45d6-983d-3873f6156f86"
      ],
      "subscribers": [
        "33733f42-8ff7-460b-9e20-50a2133d3bb0",
        "c90dedee-40ee-47ec-9c27-96dc3b2ec363"
      ],
      "teams": [
        "8680f886-97d2-4f4e-92c8-c80b46a3017d"
      ],
      "stale": false,
      "current_user_permissions": {
        "read": true,
        "write": true,
        "execute": false
      },
      "parent_id": "1f5c76c3-e7a3-406f-b51e-7ba220244f1b",
      "base_entity_id": "1f5c76c3-e7a3-406f-b51e-7ba220244f1b"
    }
  ]
}

Create Document

post
/api/v1/document

This endpoint allows you to create a new document with the specified data. The document content is pulled from the definition parameter.

Authorizations
Body
titlestringOptional

The title of the resource.

Example: Sample Title
integrationstringOptional

The integration ID associated with the resource, if one exists.

Example: ca529385-fbc9-4934-afae-e372affe795b
descriptionstringOptional

A description of the resource.

Example: This is a description for a sample table.
entity_typestringOptional

The type of the resource.

Example: glossary
definitionstringOptional

Mark down documentation to be added to the resource.

Example: \n# Castae illa\n\n## Finemque aequore\n\nLorem markdownum motus
parentstringOptional

The ID of the parent resource. Please keep the resource heirarchy in mind when setting the parent.

Example: df2c0597-13d9-4159-bb6d-00b3f54235dc
piibooleanOptional

Indicates whether the resource contains personally identifiable information (PII). Values can be -

  • True
  • False

Example: false
verifiedbooleanOptional

Indicates whether the resource has been set as verified. Values can be -

  • True
  • False

Example: true
publishedbooleanOptional

Indicates if the resource is visible to viewers or not. Values can be -

  • True
  • False

Example: true
teamsstring[]Optional

A list of team IDs that the resource belongs to.

Example: ["e8ac09ed-e51e-4e61-8eaf-59942c98c260","cca810f1-11c1-4117-bc23-20ae8020897f"]
ownersstring[]Optional

A list of owner user IDs for the resource.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
owners_groupsstring[]Optional

A list of owner group IDs for the resource.

Example: ["f3bdd4f8-d6ea-4f9b-8384-e179fa8eb3da"]
collectionsstring[]Optional

A list of collection IDs the resource belongs to.

Example: ["3b2c7185-fb5d-4d94-89d4-3dae08e093a9"]
tagsstring[]Optional

A list of tag IDs associated with the resources.

Example: ["04654d61-4f64-4f08-b697-3915b5137c49","429693a2-a5e7-4525-b413-ece5e96bc5b3"]
subscribersstring[]Optional

A list of user IDs that have been subscribed to the resource. Anyone subscribed will be notified of any changes.

Example: ["c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
iconstringOptional

The icon of the document

Example: 🗂
Responses
201

Created

application/json
idstringOptional

The unique identifier of the resource.

Example: d935a76c-2125-4c30-9389-ef42fa7e23bb
created_atstring · date-timeOptional

The timestamp when the resource was created in Secoda in UTC format.

Example: 2023-08-16T23:12:53.245493Z
updated_atstring · date-timeOptional

The timestamp when the resource was last updated in Secoda in UTC format.

Example: 2023-08-16T23:12:53.245507Z
entity_typestringOptional

The type of resource in Secoda.

Example: table
native_typestringOptional

The native type of the resource as it is referred to in the integration.

Example: Dataset
bookmarked_bystring[]Optional

List of member IDs that have bookmarked the resource.

Example: ["d935a76c-2125-4c30-9389-ef42fa7e23bb","33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
iconstringOptional

The icon associated with the resource.

Example: icon-url.png
titlestringOptional

The title of the resource.

Example: Sample Table
title_fullstringOptional

The full title of the resource, including its ancestry.

Example: Sample Database.Sample Schema.Sample Table
title_casedstringOptional

The title in a cased format.

Example: sampleTable
descriptionstringOptional

A description of the resource.

Example: This is a description for a sample table.
definitionstring · markdownOptional

The documentation of the resource, written in Mark Down format.

definition_versionintegerOptional

The version of the resource's documentation.

Example: 1
multiplayersstring[]Optional

List of members who have opened or worked with the resource recently.

Example: ["429693a2-a5e7-4525-b413-ece5e96bc5b3","f71585fa-251c-4102-8d81-c97c57c8d435"]
multiplayer_last_modified_bystringOptional

The last member who modified this resource.

Example: 429693a2-a5e7-4525-b413-ece5e96bc5b3
multiplayer_last_modifiedstring · date-timeOptional

The timestamp when the multiplayer was last modified in UTC format.

Example: 2023-08-16T23:12:53.245507Z
ownersstring[]Optional

List of owner IDs for the resource.

Example: ["429693a2-a5e7-4525-b413-ece5e96bc5b3","f71585fa-251c-4102-8d81-c97c57c8d435"]
owners_groupsstring[]Optional

List of owner group IDs for the resource.

Example: ["3b2c7185-fb5d-4d94-89d4-3dae08e093a9"]
collectionsstring[]Optional

List of IDs representing the collection(s) that the resource has been added to.

Example: ["e8ac09ed-e51e-4e61-8eaf-59942c98c260"]
tagsstring[]Optional

List of tag IDs added to the resource.

Example: ["f7466f09-33bf-4ac2-9ff2-165fb4b8bdc2","a17f4ed0-0e5a-45a9-92c0-6c93c0b8242c"]
workspace_idstringOptional

The ID of the workspace.

Example: f71585fa-251c-4102-8d81-c97c57c8d435
total_usageintegerOptional

The total usage count for the resource.

Example: 483
publishedbooleanOptional

Indicates if the resource is published and can be seen by Viewers.

Example: false
archivedbooleanOptional

Indicates if the resource is deleted.

Example: false
piibooleanOptional

Indicates if the resource contains Personally Identifiable Information (PII). Values can be -

  • True
  • False

Example: true
verifiedbooleanOptional

Indicates if the resource is verified. Values can be -

  • True
  • False

Example: false
urlstringOptional

The URL associated with the resource.

Example: https://example.com/sample-table
parentstringOptional

The parent resource's ID.

Example: df2c0597-13d9-4159-bb6d-00b3f54235dc
children_countintegerOptional

The count of children entities of the resource.

Example: 2
integrationstringOptional

The integration ID associated with the resource.

Example: ca529385-fbc9-4934-afae-e372affe795b
external_updated_atstring · date-timeOptional

The timestamp of the last update for the resource in the source.

Example: 2023-08-16T23:12:53.245507Z
internal_usageintegerOptional

The internal usage count for the resource.

Example: 3
internal_usersstring[]Optional

List of internal user IDs for the resource.

Example: ["04654d61-4f64-4f08-b697-3915b5137c49"]
external_usersstring[]Optional

List of external user IDs for the resource extracted from the integration.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0"]
external_usageintegerOptional

The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource.

Example: 38
databuilder_idstringOptional

The databuilder ID associated with the resource. This is a generated field.

Example: b818280a-ae1a-43bf-90d3-dbccf812b025.x68605bd2
search_metadataobjectOptional

Metadata related to indexing the resource for optimizing search.

Example: {"cluster":"glue","database":"awsdatacatalog","schema":"secoda-glue","type":"table"}
sourcesstring[]Optional

List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT.

Example: ["8a3af948-026c-45d6-983d-3873f6156f86"]
subscribersstring[]Optional

List of User IDs who subscribe to the resource.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
teamsstring[]Optional

List of team IDs associated with the resource.

Example: ["8680f886-97d2-4f4e-92c8-c80b46a3017d"]
stalebooleanOptional

Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction.

Example: false
parent_idstringOptional

Indicates the UUID of the parent of the document, which is always another document.

Example: 1f5c76c3-e7a3-406f-b51e-7ba220244f1b
base_entity_idstringOptional

Indicates the UUID of the highest level ancestor of the document.

Example: 1f5c76c3-e7a3-406f-b51e-7ba220244f1b
post/api/v1/document
POST /api/v1/document HTTP/1.1
Host: api.secoda.co
Content-Type: application/json
Accept: */*
Content-Length: 783

{
  "icon": "🗂",
  "title": "Sample Title",
  "integration": "ca529385-fbc9-4934-afae-e372affe795b",
  "description": "This is a description for a sample table.",
  "entity_type": "glossary",
  "definition": "\\n# Castae illa\\n\\n## Finemque aequore\\n\\nLorem markdownum motus",
  "parent": "df2c0597-13d9-4159-bb6d-00b3f54235dc",
  "pii": false,
  "verified": true,
  "published": true,
  "teams": [
    "e8ac09ed-e51e-4e61-8eaf-59942c98c260",
    "cca810f1-11c1-4117-bc23-20ae8020897f"
  ],
  "owners": [
    "33733f42-8ff7-460b-9e20-50a2133d3bb0",
    "c90dedee-40ee-47ec-9c27-96dc3b2ec363"
  ],
  "owners_groups": [
    "f3bdd4f8-d6ea-4f9b-8384-e179fa8eb3da"
  ],
  "collections": [
    "3b2c7185-fb5d-4d94-89d4-3dae08e093a9"
  ],
  "tags": [
    "04654d61-4f64-4f08-b697-3915b5137c49",
    "429693a2-a5e7-4525-b413-ece5e96bc5b3"
  ],
  "subscribers": [
    "c90dedee-40ee-47ec-9c27-96dc3b2ec363"
  ]
}
{
  "id": "d935a76c-2125-4c30-9389-ef42fa7e23bb",
  "created_at": "2023-08-16T23:12:53.245493Z",
  "updated_at": "2023-08-16T23:12:53.245507Z",
  "entity_type": "table",
  "native_type": "Dataset",
  "bookmarked_by": [
    "d935a76c-2125-4c30-9389-ef42fa7e23bb",
    "33733f42-8ff7-460b-9e20-50a2133d3bb0",
    "c90dedee-40ee-47ec-9c27-96dc3b2ec363"
  ],
  "icon": "icon-url.png",
  "title": "Sample Table",
  "title_full": "Sample Database.Sample Schema.Sample Table",
  "title_cased": "sampleTable",
  "description": "This is a description for a sample table.",
  "definition": "text",
  "definition_version": 1,
  "multiplayers": [
    "429693a2-a5e7-4525-b413-ece5e96bc5b3",
    "f71585fa-251c-4102-8d81-c97c57c8d435"
  ],
  "multiplayer_last_modified_by": "429693a2-a5e7-4525-b413-ece5e96bc5b3",
  "multiplayer_last_modified": "2023-08-16T23:12:53.245507Z",
  "owners": [
    "429693a2-a5e7-4525-b413-ece5e96bc5b3",
    "f71585fa-251c-4102-8d81-c97c57c8d435"
  ],
  "owners_groups": [
    "3b2c7185-fb5d-4d94-89d4-3dae08e093a9"
  ],
  "collections": [
    "e8ac09ed-e51e-4e61-8eaf-59942c98c260"
  ],
  "tags": [
    "f7466f09-33bf-4ac2-9ff2-165fb4b8bdc2",
    "a17f4ed0-0e5a-45a9-92c0-6c93c0b8242c"
  ],
  "workspace_id": "f71585fa-251c-4102-8d81-c97c57c8d435",
  "total_usage": 483,
  "published": false,
  "archived": false,
  "pii": true,
  "verified": false,
  "url": "https://example.com/sample-table",
  "parent": "df2c0597-13d9-4159-bb6d-00b3f54235dc",
  "children_count": 2,
  "integration": "ca529385-fbc9-4934-afae-e372affe795b",
  "external_updated_at": "2023-08-16T23:12:53.245507Z",
  "internal_usage": 3,
  "internal_users": [
    "04654d61-4f64-4f08-b697-3915b5137c49"
  ],
  "external_users": [
    "33733f42-8ff7-460b-9e20-50a2133d3bb0"
  ],
  "external_usage": 38,
  "databuilder_id": "b818280a-ae1a-43bf-90d3-dbccf812b025.x68605bd2",
  "search_metadata": {
    "cluster": "glue",
    "database": "awsdatacatalog",
    "schema": "secoda-glue",
    "type": "table"
  },
  "sources": [
    "8a3af948-026c-45d6-983d-3873f6156f86"
  ],
  "subscribers": [
    "33733f42-8ff7-460b-9e20-50a2133d3bb0",
    "c90dedee-40ee-47ec-9c27-96dc3b2ec363"
  ],
  "teams": [
    "8680f886-97d2-4f4e-92c8-c80b46a3017d"
  ],
  "stale": false,
  "current_user_permissions": {
    "read": true,
    "write": true,
    "execute": false
  },
  "parent_id": "1f5c76c3-e7a3-406f-b51e-7ba220244f1b",
  "base_entity_id": "1f5c76c3-e7a3-406f-b51e-7ba220244f1b"
}

Get Document

get
/api/v1/document/{document_id}

This endpoint allows you to retrieve a document by its unique identifier (document_id).

Authorizations
Path parameters
document_idstringRequired

The unique identifier of the document

Example: 1f5c76c3-e7a3-406f-b51e-7ba220244f1b
Responses
200

Document retrieved successfully

application/json
idstringOptional

The unique identifier of the resource.

Example: d935a76c-2125-4c30-9389-ef42fa7e23bb
created_atstring · date-timeOptional

The timestamp when the resource was created in Secoda in UTC format.

Example: 2023-08-16T23:12:53.245493Z
updated_atstring · date-timeOptional

The timestamp when the resource was last updated in Secoda in UTC format.

Example: 2023-08-16T23:12:53.245507Z
entity_typestringOptional

The type of resource in Secoda.

Example: table
native_typestringOptional

The native type of the resource as it is referred to in the integration.

Example: Dataset
bookmarked_bystring[]Optional

List of member IDs that have bookmarked the resource.

Example: ["d935a76c-2125-4c30-9389-ef42fa7e23bb","33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
iconstringOptional

The icon associated with the resource.

Example: icon-url.png
titlestringOptional

The title of the resource.

Example: Sample Table
title_fullstringOptional

The full title of the resource, including its ancestry.

Example: Sample Database.Sample Schema.Sample Table
title_casedstringOptional

The title in a cased format.

Example: sampleTable
descriptionstringOptional

A description of the resource.

Example: This is a description for a sample table.
definitionstring · markdownOptional

The documentation of the resource, written in Mark Down format.

definition_versionintegerOptional

The version of the resource's documentation.

Example: 1
multiplayersstring[]Optional

List of members who have opened or worked with the resource recently.

Example: ["429693a2-a5e7-4525-b413-ece5e96bc5b3","f71585fa-251c-4102-8d81-c97c57c8d435"]
multiplayer_last_modified_bystringOptional

The last member who modified this resource.

Example: 429693a2-a5e7-4525-b413-ece5e96bc5b3
multiplayer_last_modifiedstring · date-timeOptional

The timestamp when the multiplayer was last modified in UTC format.

Example: 2023-08-16T23:12:53.245507Z
ownersstring[]Optional

List of owner IDs for the resource.

Example: ["429693a2-a5e7-4525-b413-ece5e96bc5b3","f71585fa-251c-4102-8d81-c97c57c8d435"]
owners_groupsstring[]Optional

List of owner group IDs for the resource.

Example: ["3b2c7185-fb5d-4d94-89d4-3dae08e093a9"]
collectionsstring[]Optional

List of IDs representing the collection(s) that the resource has been added to.

Example: ["e8ac09ed-e51e-4e61-8eaf-59942c98c260"]
tagsstring[]Optional

List of tag IDs added to the resource.

Example: ["f7466f09-33bf-4ac2-9ff2-165fb4b8bdc2","a17f4ed0-0e5a-45a9-92c0-6c93c0b8242c"]
workspace_idstringOptional

The ID of the workspace.

Example: f71585fa-251c-4102-8d81-c97c57c8d435
total_usageintegerOptional

The total usage count for the resource.

Example: 483
publishedbooleanOptional

Indicates if the resource is published and can be seen by Viewers.

Example: false
archivedbooleanOptional

Indicates if the resource is deleted.

Example: false
piibooleanOptional

Indicates if the resource contains Personally Identifiable Information (PII). Values can be -

  • True
  • False

Example: true
verifiedbooleanOptional

Indicates if the resource is verified. Values can be -

  • True
  • False

Example: false
urlstringOptional

The URL associated with the resource.

Example: https://example.com/sample-table
parentstringOptional

The parent resource's ID.

Example: df2c0597-13d9-4159-bb6d-00b3f54235dc
children_countintegerOptional

The count of children entities of the resource.

Example: 2
integrationstringOptional

The integration ID associated with the resource.

Example: ca529385-fbc9-4934-afae-e372affe795b
external_updated_atstring · date-timeOptional

The timestamp of the last update for the resource in the source.

Example: 2023-08-16T23:12:53.245507Z
internal_usageintegerOptional

The internal usage count for the resource.

Example: 3
internal_usersstring[]Optional

List of internal user IDs for the resource.

Example: ["04654d61-4f64-4f08-b697-3915b5137c49"]
external_usersstring[]Optional

List of external user IDs for the resource extracted from the integration.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0"]
external_usageintegerOptional

The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource.

Example: 38
databuilder_idstringOptional

The databuilder ID associated with the resource. This is a generated field.

Example: b818280a-ae1a-43bf-90d3-dbccf812b025.x68605bd2
search_metadataobjectOptional

Metadata related to indexing the resource for optimizing search.

Example: {"cluster":"glue","database":"awsdatacatalog","schema":"secoda-glue","type":"table"}
sourcesstring[]Optional

List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT.

Example: ["8a3af948-026c-45d6-983d-3873f6156f86"]
subscribersstring[]Optional

List of User IDs who subscribe to the resource.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
teamsstring[]Optional

List of team IDs associated with the resource.

Example: ["8680f886-97d2-4f4e-92c8-c80b46a3017d"]
stalebooleanOptional

Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction.

Example: false
parent_idstringOptional

Indicates the UUID of the parent of the document, which is always another document.

Example: 1f5c76c3-e7a3-406f-b51e-7ba220244f1b
base_entity_idstringOptional

Indicates the UUID of the highest level ancestor of the document.

Example: 1f5c76c3-e7a3-406f-b51e-7ba220244f1b
get/api/v1/document/{document_id}
GET /api/v1/document/{document_id} HTTP/1.1
Host: api.secoda.co
Accept: */*
{
  "id": "d935a76c-2125-4c30-9389-ef42fa7e23bb",
  "created_at": "2023-08-16T23:12:53.245493Z",
  "updated_at": "2023-08-16T23:12:53.245507Z",
  "entity_type": "table",
  "native_type": "Dataset",
  "bookmarked_by": [
    "d935a76c-2125-4c30-9389-ef42fa7e23bb",
    "33733f42-8ff7-460b-9e20-50a2133d3bb0",
    "c90dedee-40ee-47ec-9c27-96dc3b2ec363"
  ],
  "icon": "icon-url.png",
  "title": "Sample Table",
  "title_full": "Sample Database.Sample Schema.Sample Table",
  "title_cased": "sampleTable",
  "description": "This is a description for a sample table.",
  "definition": "text",
  "definition_version": 1,
  "multiplayers": [
    "429693a2-a5e7-4525-b413-ece5e96bc5b3",
    "f71585fa-251c-4102-8d81-c97c57c8d435"
  ],
  "multiplayer_last_modified_by": "429693a2-a5e7-4525-b413-ece5e96bc5b3",
  "multiplayer_last_modified": "2023-08-16T23:12:53.245507Z",
  "owners": [
    "429693a2-a5e7-4525-b413-ece5e96bc5b3",
    "f71585fa-251c-4102-8d81-c97c57c8d435"
  ],
  "owners_groups": [
    "3b2c7185-fb5d-4d94-89d4-3dae08e093a9"
  ],
  "collections": [
    "e8ac09ed-e51e-4e61-8eaf-59942c98c260"
  ],
  "tags": [
    "f7466f09-33bf-4ac2-9ff2-165fb4b8bdc2",
    "a17f4ed0-0e5a-45a9-92c0-6c93c0b8242c"
  ],
  "workspace_id": "f71585fa-251c-4102-8d81-c97c57c8d435",
  "total_usage": 483,
  "published": false,
  "archived": false,
  "pii": true,
  "verified": false,
  "url": "https://example.com/sample-table",
  "parent": "df2c0597-13d9-4159-bb6d-00b3f54235dc",
  "children_count": 2,
  "integration": "ca529385-fbc9-4934-afae-e372affe795b",
  "external_updated_at": "2023-08-16T23:12:53.245507Z",
  "internal_usage": 3,
  "internal_users": [
    "04654d61-4f64-4f08-b697-3915b5137c49"
  ],
  "external_users": [
    "33733f42-8ff7-460b-9e20-50a2133d3bb0"
  ],
  "external_usage": 38,
  "databuilder_id": "b818280a-ae1a-43bf-90d3-dbccf812b025.x68605bd2",
  "search_metadata": {
    "cluster": "glue",
    "database": "awsdatacatalog",
    "schema": "secoda-glue",
    "type": "table"
  },
  "sources": [
    "8a3af948-026c-45d6-983d-3873f6156f86"
  ],
  "subscribers": [
    "33733f42-8ff7-460b-9e20-50a2133d3bb0",
    "c90dedee-40ee-47ec-9c27-96dc3b2ec363"
  ],
  "teams": [
    "8680f886-97d2-4f4e-92c8-c80b46a3017d"
  ],
  "stale": false,
  "current_user_permissions": {
    "read": true,
    "write": true,
    "execute": false
  },
  "parent_id": "1f5c76c3-e7a3-406f-b51e-7ba220244f1b",
  "base_entity_id": "1f5c76c3-e7a3-406f-b51e-7ba220244f1b"
}

Delete Document

delete
/api/v1/document/{document_id}

This endpoint allows you to delete a document by its unique identifier (document_id).

Authorizations
Path parameters
document_idstringRequired

The unique identifier of the document to delete

Example: 1f5c76c3-e7a3-406f-b51e-7ba220244f1b
Responses
204

Document deleted successfully

No content

delete/api/v1/document/{document_id}
DELETE /api/v1/document/{document_id} HTTP/1.1
Host: api.secoda.co
Accept: */*

No content

Edit Document

patch
/api/v1/document/{document_id}

This endpoint allows you to edit the definition of a document by its unique identifier (document_id). The definition of the document maps to the visible content of the document itself.

Authorizations
Path parameters
document_idstringRequired

The unique identifier of the document to edit

Example: 1f5c76c3-e7a3-406f-b51e-7ba220244f1b
Body
descriptionstringOptional

A description of the resource.

Example: This is a description for a sample table.
definitionstringOptional

Mark down documentation to be added to the resource.

Example: \n# Castae illa\n\n## Finemque aequore\n\nLorem markdownum motus
piibooleanOptional

Indicates whether the resource contains personally identifiable information (PII). Values can be -

  • True
  • False

Example: false
verifiedbooleanOptional

Indicates whether the table has been set as verified. Values can be -

  • True
  • False

Example: true
publishedbooleanOptional

Indicates if the resource is visible to viewers or not. Values can be -

  • True
  • False

Example: true
teamsstring[]Optional

A list of team IDs that the resource belongs to.

Example: ["e8ac09ed-e51e-4e61-8eaf-59942c98c260","cca810f1-11c1-4117-bc23-20ae8020897f"]
ownersstring[]Optional

A list of owner user IDs for the resource.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
collectionsstring[]Optional

A list of collection IDs the resource belongs to.

Example: ["3b2c7185-fb5d-4d94-89d4-3dae08e093a9"]
tagsstring[]Optional

A list of tag IDs associated with the resources.

Example: ["04654d61-4f64-4f08-b697-3915b5137c49","429693a2-a5e7-4525-b413-ece5e96bc5b3"]
subscribersstring[]Optional

A list of the added user IDs that have been subscribed to the resource. Anyone subscribed will be notified of any changes.

Example: ["c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
Responses
200

Definition updated successfully

application/json
idstringOptional

The unique identifier of the resource.

Example: d935a76c-2125-4c30-9389-ef42fa7e23bb
created_atstring · date-timeOptional

The timestamp when the resource was created in Secoda in UTC format.

Example: 2023-08-16T23:12:53.245493Z
updated_atstring · date-timeOptional

The timestamp when the resource was last updated in Secoda in UTC format.

Example: 2023-08-16T23:12:53.245507Z
entity_typestringOptional

The type of resource in Secoda.

Example: table
native_typestringOptional

The native type of the resource as it is referred to in the integration.

Example: Dataset
bookmarked_bystring[]Optional

List of member IDs that have bookmarked the resource.

Example: ["d935a76c-2125-4c30-9389-ef42fa7e23bb","33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
iconstringOptional

The icon associated with the resource.

Example: icon-url.png
titlestringOptional

The title of the resource.

Example: Sample Table
title_fullstringOptional

The full title of the resource, including its ancestry.

Example: Sample Database.Sample Schema.Sample Table
title_casedstringOptional

The title in a cased format.

Example: sampleTable
descriptionstringOptional

A description of the resource.

Example: This is a description for a sample table.
definitionstring · markdownOptional

The documentation of the resource, written in Mark Down format.

definition_versionintegerOptional

The version of the resource's documentation.

Example: 1
multiplayersstring[]Optional

List of members who have opened or worked with the resource recently.

Example: ["429693a2-a5e7-4525-b413-ece5e96bc5b3","f71585fa-251c-4102-8d81-c97c57c8d435"]
multiplayer_last_modified_bystringOptional

The last member who modified this resource.

Example: 429693a2-a5e7-4525-b413-ece5e96bc5b3
multiplayer_last_modifiedstring · date-timeOptional

The timestamp when the multiplayer was last modified in UTC format.

Example: 2023-08-16T23:12:53.245507Z
ownersstring[]Optional

List of owner IDs for the resource.

Example: ["429693a2-a5e7-4525-b413-ece5e96bc5b3","f71585fa-251c-4102-8d81-c97c57c8d435"]
owners_groupsstring[]Optional

List of owner group IDs for the resource.

Example: ["3b2c7185-fb5d-4d94-89d4-3dae08e093a9"]
collectionsstring[]Optional

List of IDs representing the collection(s) that the resource has been added to.

Example: ["e8ac09ed-e51e-4e61-8eaf-59942c98c260"]
tagsstring[]Optional

List of tag IDs added to the resource.

Example: ["f7466f09-33bf-4ac2-9ff2-165fb4b8bdc2","a17f4ed0-0e5a-45a9-92c0-6c93c0b8242c"]
workspace_idstringOptional

The ID of the workspace.

Example: f71585fa-251c-4102-8d81-c97c57c8d435
total_usageintegerOptional

The total usage count for the resource.

Example: 483
publishedbooleanOptional

Indicates if the resource is published and can be seen by Viewers.

Example: false
archivedbooleanOptional

Indicates if the resource is deleted.

Example: false
piibooleanOptional

Indicates if the resource contains Personally Identifiable Information (PII). Values can be -

  • True
  • False

Example: true
verifiedbooleanOptional

Indicates if the resource is verified. Values can be -

  • True
  • False

Example: false
urlstringOptional

The URL associated with the resource.

Example: https://example.com/sample-table
parentstringOptional

The parent resource's ID.

Example: df2c0597-13d9-4159-bb6d-00b3f54235dc
children_countintegerOptional

The count of children entities of the resource.

Example: 2
integrationstringOptional

The integration ID associated with the resource.

Example: ca529385-fbc9-4934-afae-e372affe795b
external_updated_atstring · date-timeOptional

The timestamp of the last update for the resource in the source.

Example: 2023-08-16T23:12:53.245507Z
internal_usageintegerOptional

The internal usage count for the resource.

Example: 3
internal_usersstring[]Optional

List of internal user IDs for the resource.

Example: ["04654d61-4f64-4f08-b697-3915b5137c49"]
external_usersstring[]Optional

List of external user IDs for the resource extracted from the integration.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0"]
external_usageintegerOptional

The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource.

Example: 38
databuilder_idstringOptional

The databuilder ID associated with the resource. This is a generated field.

Example: b818280a-ae1a-43bf-90d3-dbccf812b025.x68605bd2
search_metadataobjectOptional

Metadata related to indexing the resource for optimizing search.

Example: {"cluster":"glue","database":"awsdatacatalog","schema":"secoda-glue","type":"table"}
sourcesstring[]Optional

List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT.

Example: ["8a3af948-026c-45d6-983d-3873f6156f86"]
subscribersstring[]Optional

List of User IDs who subscribe to the resource.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
teamsstring[]Optional

List of team IDs associated with the resource.

Example: ["8680f886-97d2-4f4e-92c8-c80b46a3017d"]
stalebooleanOptional

Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction.

Example: false
parent_idstringOptional

Indicates the UUID of the parent of the document, which is always another document.

Example: 1f5c76c3-e7a3-406f-b51e-7ba220244f1b
base_entity_idstringOptional

Indicates the UUID of the highest level ancestor of the document.

Example: 1f5c76c3-e7a3-406f-b51e-7ba220244f1b
patch/api/v1/document/{document_id}
PATCH /api/v1/document/{document_id} HTTP/1.1
Host: api.secoda.co
Content-Type: application/json
Accept: */*
Content-Length: 563

{
  "description": "This is a description for a sample table.",
  "definition": "\\n# Castae illa\\n\\n## Finemque aequore\\n\\nLorem markdownum motus",
  "pii": false,
  "verified": true,
  "published": true,
  "teams": [
    "e8ac09ed-e51e-4e61-8eaf-59942c98c260",
    "cca810f1-11c1-4117-bc23-20ae8020897f"
  ],
  "owners": [
    "33733f42-8ff7-460b-9e20-50a2133d3bb0",
    "c90dedee-40ee-47ec-9c27-96dc3b2ec363"
  ],
  "collections": [
    "3b2c7185-fb5d-4d94-89d4-3dae08e093a9"
  ],
  "tags": [
    "04654d61-4f64-4f08-b697-3915b5137c49",
    "429693a2-a5e7-4525-b413-ece5e96bc5b3"
  ],
  "subscribers": [
    "c90dedee-40ee-47ec-9c27-96dc3b2ec363"
  ]
}
{
  "id": "d935a76c-2125-4c30-9389-ef42fa7e23bb",
  "created_at": "2023-08-16T23:12:53.245493Z",
  "updated_at": "2023-08-16T23:12:53.245507Z",
  "entity_type": "table",
  "native_type": "Dataset",
  "bookmarked_by": [
    "d935a76c-2125-4c30-9389-ef42fa7e23bb",
    "33733f42-8ff7-460b-9e20-50a2133d3bb0",
    "c90dedee-40ee-47ec-9c27-96dc3b2ec363"
  ],
  "icon": "icon-url.png",
  "title": "Sample Table",
  "title_full": "Sample Database.Sample Schema.Sample Table",
  "title_cased": "sampleTable",
  "description": "This is a description for a sample table.",
  "definition": "text",
  "definition_version": 1,
  "multiplayers": [
    "429693a2-a5e7-4525-b413-ece5e96bc5b3",
    "f71585fa-251c-4102-8d81-c97c57c8d435"
  ],
  "multiplayer_last_modified_by": "429693a2-a5e7-4525-b413-ece5e96bc5b3",
  "multiplayer_last_modified": "2023-08-16T23:12:53.245507Z",
  "owners": [
    "429693a2-a5e7-4525-b413-ece5e96bc5b3",
    "f71585fa-251c-4102-8d81-c97c57c8d435"
  ],
  "owners_groups": [
    "3b2c7185-fb5d-4d94-89d4-3dae08e093a9"
  ],
  "collections": [
    "e8ac09ed-e51e-4e61-8eaf-59942c98c260"
  ],
  "tags": [
    "f7466f09-33bf-4ac2-9ff2-165fb4b8bdc2",
    "a17f4ed0-0e5a-45a9-92c0-6c93c0b8242c"
  ],
  "workspace_id": "f71585fa-251c-4102-8d81-c97c57c8d435",
  "total_usage": 483,
  "published": false,
  "archived": false,
  "pii": true,
  "verified": false,
  "url": "https://example.com/sample-table",
  "parent": "df2c0597-13d9-4159-bb6d-00b3f54235dc",
  "children_count": 2,
  "integration": "ca529385-fbc9-4934-afae-e372affe795b",
  "external_updated_at": "2023-08-16T23:12:53.245507Z",
  "internal_usage": 3,
  "internal_users": [
    "04654d61-4f64-4f08-b697-3915b5137c49"
  ],
  "external_users": [
    "33733f42-8ff7-460b-9e20-50a2133d3bb0"
  ],
  "external_usage": 38,
  "databuilder_id": "b818280a-ae1a-43bf-90d3-dbccf812b025.x68605bd2",
  "search_metadata": {
    "cluster": "glue",
    "database": "awsdatacatalog",
    "schema": "secoda-glue",
    "type": "table"
  },
  "sources": [
    "8a3af948-026c-45d6-983d-3873f6156f86"
  ],
  "subscribers": [
    "33733f42-8ff7-460b-9e20-50a2133d3bb0",
    "c90dedee-40ee-47ec-9c27-96dc3b2ec363"
  ],
  "teams": [
    "8680f886-97d2-4f4e-92c8-c80b46a3017d"
  ],
  "stale": false,
  "current_user_permissions": {
    "read": true,
    "write": true,
    "execute": false
  },
  "parent_id": "1f5c76c3-e7a3-406f-b51e-7ba220244f1b",
  "base_entity_id": "1f5c76c3-e7a3-406f-b51e-7ba220244f1b"
}

Last updated

Was this helpful?